# $Revision: 1.100.2.2 $, $Date: 2007/03/13 09:19:49 $
# TODO:
# - CHECK all features of enigmail
# - separate spec for enigmail
# - enigmail says it's not compatible with thunderbird 2.0, while home page says it is.
#
# Conditional builds
%bcond_without	enigmail    # don't build enigmail - GPG/PGP support
%bcond_without	ldap	    # disable e-mail address lookups in LDAP directories
#
%define		_rc		b2
%define		_ver	2.0
%define		_release	0.%{_rc}.%{_rel}
%define		_enigmail_ver	0.94.2

%define		_rel	5
Summary:	Thunderbird Community Edition - email client
Summary(pl):	Thunderbird Community Edition - klient poczty
Name:		mozilla-thunderbird
Version:	%{_ver}
Release:	%{_release}
License:	MPL/LGPL
Group:		Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}%{_rc}/source/thunderbird-%{version}%{_rc}-source.tar.bz2
# Source0-md5:	b633623c460ffef9ba805dd071729890
Source1:	http://www.mozilla-enigmail.org/downloads/src/enigmail-%{_enigmail_ver}.tar.gz
# Source1-md5:	cc1ba2bec7c3a2ac408ef24fbf1884de
Source2:	%{name}.desktop
Source3:	%{name}.sh
Source4:	%{name}-enigmail.manifest
Source5:	%{name}.png
Patch1:		%{name}-lib_path.patch
Patch3:		%{name}-nopangoxft.patch
Patch4:		%{name}-enigmail-shared.patch
Patch5:		%{name}-gcc.patch
Patch6:		%{name}-fonts.patch
# drop as soon as bug is fixed since it's so ugly hack
# fixing symptoms only
# https://bugzilla.mozilla.org/show_bug.cgi?id=362462
Patch7:		mozilla-hack-gcc_4_2.patch
Patch8:		%{name}-install.patch
Patch9:		%{name}-myspell.patch
Patch10:	%{name}-regionNames.patch
URL:		http://www.mozilla.org/projects/thunderbird/
BuildRequires:	automake
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libIDL-devel >= 0.8.0
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	myspell-devel
BuildRequires:	nspr-devel >= 1:4.6.1
BuildRequires:	nss-devel >= 1:3.11.3
BuildRequires:	pango-devel >= 1:1.1.0
BuildRequires:	sed >= 4.0
Requires:	nspr >= 1:4.6.1
Requires:	nss >= 1:3.11.3
Obsoletes:	mozilla-thunderbird-dictionary-en-US
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# mozilla and thunderbird provide their own versions
%define		_noautoreqdep		libgfxpsshar.so libgkgfx.so libgtkembedmoz.so libgtkxtbin.so libjsj.so libmozjs.so libxpcom_compat.so libxpcom_core.so libxpcom.so libxpistub.so
%define		_noautoprovfiles	%{_libdir}/%{name}/components
# we don't want these to satisfy xulrunner-devel
%define		_noautoprov			libmozjs.so libxpcom.so libxul.so
# and as we don't provide them, don't require either
%define		_noautoreq			libmozjs.so libxpcom.so libxul.so

%description
Thunderbird Community Edition is an open-source,fast and portable
email client.

%description -l pl
Thunderbird Community Edition jest open sourcowym, szybkim i
przenonym klientem poczty.

%package addon-enigmail
Summary:	Extension for the authentication and encryption features provided by GnuPG
Summary(pl):	Rozszerzenie do uwierzytelniania i szyfrowania zapewnianego przez GnuPG
Version:	%{_enigmail_ver}
Release:	%{_rel}
License:	MPL/LGPL
Group:		Applications/Networking
URL:		http://enigmail.mozdev.org/
Requires:	%{name} = %{_ver}-%{_release}

%description addon-enigmail
Enigmail is an extension to the mail client of Mozilla Thunderbird
which allows users to access the authentication and encryption
features provided by GnuPG.

Main Features:
- Encrypt/sign mail when sending, decrypt/authenticate received mail
- Support for inline-PGP (RFC 2440) and PGP/MIME (RFC 3156)
- Per-Account based encryption and signing defaults
- Per-Recipient rules for automated key selection, and
  enabling/disabling encryption and signing
- OpenPGP key management interface

%description addon-enigmail -l pl
Enigmail to rozszerzenie klienta pocztowego Mozilla Thunderbird
pozwalajce uytkownikom na dostp do uwierzytelniania i szyfrowania
zapewnianego przez GnuPG.

Gwne moliwoci:
- szyfrowanie/podpisywanie poczty przy wysyaniu,
  odszyfrowywanie/uwierzytelnianie poczty odebranej
- obsuga inline-PGP (RFC 2440) i PGP/MIME (RFC 3156)
- ustawienia domylne szyfrowania i podpisywania dla kadego konta
- reguy automatycznego wyboru kluczy i wczenia szyfrowania oraz
  podpisywania dla kadego adresata
- interfejs do zarzdzania kluczami OpenPGP

%prep
%setup -q -c -n %{name}-%{_ver}%{_rc}
cd mozilla
%{?with_enigmail:tar xvfz %{SOURCE1} -C mailnews/extensions}
%patch1 -p1
%patch3 -p1
%{?with_enigmail:%patch4 -p1}
%patch5 -p1
%patch6 -p1
%patch7 -p2
%patch8 -p1
%patch9 -p1
%patch10 -p1

:> config/gcc_hidden.h

%build
cd mozilla
export CFLAGS="%{rpmcflags} `%{_bindir}/pkg-config mozilla-nspr --cflags-only-I`"
export CXXFLAGS="%{rpmcflags} `%{_bindir}/pkg-config mozilla-nspr --cflags-only-I`"

cp -f %{_datadir}/automake/config.* build/autoconf
cp -f %{_datadir}/automake/config.* nsprpub/build/autoconf
cp -f %{_datadir}/automake/config.* directory/c-sdk/config/autoconf

cat << 'EOF' > .mozconfig
. $topsrcdir/mail/config/mozconfig

ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
%else
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
%endif
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif

%if %{with ldap}
ac_add_options --enable-ldap
%else
ac_add_options --disable-ldap
%endif
ac_add_options --disable-installer
ac_add_options --disable-jsd
ac_add_options --disable-xprint
ac_add_options --enable-canvas
ac_add_options --enable-crypto
ac_add_options --enable-default-toolkit="gtk2"
ac_add_options --enable-extensions="pref,cookie,wallet,spellcheck"
ac_add_options --enable-mathml
ac_add_options --enable-optimize="%{rpmcflags}"
ac_add_options --enable-pango
ac_add_options --enable-reorder
ac_add_options --disable-strip
ac_add_options --disable-strip-libs
ac_add_options --enable-system-cairo
ac_add_options --enable-system-myspell
ac_add_options --enable-svg
ac_add_options --enable-xft
ac_add_options --enable-xinerama
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --with-pthreads
ac_add_options --enable-single-profile
ac_add_options --disable-profilesharing

EOF

%{__make} -j1 -f client.mk build_all \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%if %{with enigmail}
	cd mailnews/extensions/enigmail
	./makemake -r
	%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

cd mozilla
%{__make} -C xpinstall/packager stage-package \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	PKG_SKIP_STRIP=1

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/icons $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/init.d $RPM_BUILD_ROOT%{_datadir}/%{name}/init.d
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/isp $RPM_BUILD_ROOT%{_datadir}/%{name}/isp
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/icons $RPM_BUILD_ROOT%{_libdir}/%{name}/icons
ln -s ../../share/%{name}/init.d $RPM_BUILD_ROOT%{_libdir}/%{name}/init.d
ln -s ../../share/%{name}/isp $RPM_BUILD_ROOT%{_libdir}/%{name}/isp
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res

rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries

%{__sed} -e 's,@LIBDIR@,%{_libdir},' %{SOURCE3} > $RPM_BUILD_ROOT%{_bindir}/mozilla-thunderbird
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/thunderbird

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%if %{with enigmail}
_enig_dir=$RPM_BUILD_ROOT%{_libdir}/%{name}/extensions/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
install -d $_enig_dir/chrome
install -d $_enig_dir/components
install -d $_enig_dir/defaults/preferences
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome/enigmail.jar $_enig_dir/chrome
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome/enigmail-skin-tbird.jar $_enig_dir/chrome
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/components/enig* $_enig_dir/components
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/components/libenigmime.so $_enig_dir/components
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/components/ipc.xpt $_enig_dir/components
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults/preferences/enigmail.js $_enig_dir/defaults/preferences
cp -f mailnews/extensions/enigmail/package/install.rdf $_enig_dir
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults/preferences
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome/enigmail-en-US.jar
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome/enigmail-skin.jar
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome/enigmime.jar
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/components/enig*
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/components/libenigmime.so
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/components/ipc.xpt
cp -f %{SOURCE4} $_enig_dir/chrome.manifest
cp -f %{SOURCE5} $RPM_BUILD_ROOT%{_pixmapsdir}/mozilla-thunderbird.png
%endif

# win32 stuff
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/dirver

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d %{_libdir}/%{name}/dictionaries ] && [ ! -L %{_libdir}/%{name}/dictionaries ]; then
	mv -v %{_libdir}/%{name}/dictionaries{,.rpmsave}
fi
for d in chrome defaults greprefs icons init.d isp res; do
	if [ -d %{_libdir}/%{name}/$d ] && [ ! -L %{_libdir}/%{name}/$d ]; then
		install -d %{_datadir}/%{name}
		mv %{_libdir}/%{name}/$d %{_datadir}/%{name}/$d
	fi
done
exit 0

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mozilla-thunderbird
%attr(755,root,root) %{_bindir}/thunderbird
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/components
%attr(755,root,root) %{_libdir}/%{name}/components/*.so
%{_libdir}/%{name}/components/*.js
%{_libdir}/%{name}/components/*.xpt
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(755,root,root) %{_libdir}/%{name}/*-bin
%attr(755,root,root) %{_libdir}/%{name}/mozilla-xremote-client
%attr(755,root,root) %{_libdir}/%{name}/reg*
%attr(755,root,root) %{_libdir}/%{name}/thunderbird
%{_libdir}/%{name}/*.txt
%attr(755,root,root) %{_libdir}/%{name}/x*

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/init.d
%{_libdir}/%{name}/isp
%{_libdir}/%{name}/res

%{_libdir}/%{name}/dependentlibs.list
%{_libdir}/%{name}/updater
%{_libdir}/%{name}/updater.ini
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/init.d
%{_datadir}/%{name}/isp
%{_datadir}/%{name}/res

%dir %{_libdir}/%{name}/extensions
%{_libdir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

%if %{with enigmail}
%files addon-enigmail
%defattr(644,root,root,755)
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-thunderbird.spec,v $
Revision 1.100.2.2  2007/03/13 09:19:49  glen
- fix enigmail deps; rel 5

Revision 1.100.2.1  2007/03/13 00:11:43  glen
- AC deps

Revision 1.100  2007/03/13 00:03:40  glen
- AC-branch

Revision 1.99  2007/03/09 21:23:26  qboosh
- pl for -addon-enigmail

Revision 1.98  2007/03/06 19:45:57  glen
- add -regionNames.patch
- strict dep on enigmail

Revision 1.97  2007/03/06 02:14:42  glen
- plain rel for enigmail

Revision 1.96  2007/03/06 01:41:45  glen
- do not satisfy deps for xulrunner-devel

Revision 1.95  2007/03/06 01:31:42  glen
- fix version

Revision 1.94  2007/03/06 01:30:10  glen
- separate enigmail extension

Revision 1.93  2007/03/06 01:13:18  glen
- todo update

Revision 1.92  2007/03/05 01:15:52  glen
- BR cleanup

Revision 1.91  2007/03/05 01:14:20  glen
- use system myspell and dictionaries

Revision 1.90  2007/02/27 23:33:25  glen
- libgfxpsshar.so, libxpistub.so added to _noautoreqdep (firefox has those libs too)

Revision 1.89  2007/02/27 23:29:40  glen
- _noautoreqdep, _noautoprovfiles updated from mozilla-firefox

Revision 1.88  2007/02/27 19:55:52  arekm
- rel 2.8

Revision 1.87  2007/02/26 14:14:10  glen
- enigmail components contains arch dependant file

Revision 1.86  2007/02/26 14:06:57  glen
- move arch independant files to %{_datadir}

Revision 1.85  2007/02/26 13:51:20  glen
- package thunderbird symlink

Revision 1.84  2007/02/26 13:38:42  glen
- add -install.patch (install speedup by avoiding double copying)

Revision 1.83  2007/02/26 13:25:16  glen
- no _thunderbirddir macro

Revision 1.82  2007/02/26 10:27:10  arekm
- gcc 4.2 hack added

Revision 1.81  2007/02/20 07:09:09  arekm
- stripping has to be done by rpm not by mozilla itself

Revision 1.80  2007/02/19 21:10:37  arekm
- ups

Revision 1.79  2007/02/19 21:05:39  arekm
- up to 2.0b2; 1.5 is on THUNDERBIRD_1_5 tag

Revision 1.78  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.77  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.76  2007/01/29 23:11:05  glen
- AC-branch merge (hawk):
  don't use BUILD_OFFICIAL/MOZILLA_OFFICIAL, we are not allowed to do so
  s/Mozilla Thunderbird/Thunderbird Community Edition/, "Mozilla Thunderbird"
  is a registered trademark and we can't use that name

Revision 1.75  2006/12/27 21:43:43  qboosh
- merged update to 1.5.0.9 from AC-branch
  (fixes CVE-2006-6497, CVE-2006-6498, CVE-2006-6499, CVE-2006-6500,
   CVE-2006-6501, CVE-2006-6502, CVE-2006-6503, CVE-2006-6504, CVE-2006-6505)

Revision 1.74  2006/11/20 15:16:55  qboosh
- use own builddir

Revision 1.73  2006/11/20 13:03:07  qboosh
- merged glen's changes from AC-branch

Revision 1.72  2006/11/15 12:10:25  qboosh
- todo: own builddir, like firefox

Revision 1.71  2006/11/14 10:53:42  qboosh
- updated to 1.5.0.8 (fixes CVE-2006-5462 CVE-2006-5463 CVE-2006-5464 CVE-2006-5747 CVE-2006-5748)
- enigmail updated to 0.94.1

Revision 1.70  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.61.2.9  2006/11/02 16:51:22  glen
- update install procedure from mozilla-firefox.spec which avoids creating temporary tgz

Revision 1.61.2.8  2006/11/01 16:01:18  glen
- typo, cleanup files

Revision 1.61.2.7  2006/11/01 14:11:59  glen
- fix some permissions, add some dirs, cleanups

Revision 1.69  2006/09/16 09:47:44  qboosh
- updated to 1.5.0.7
  (fixes CVE-2006-4253 CVE-2006-4340 CVE-2006-4565 CVE-2006-4566 CVE-2006-4567
   CVE-2006-4570 CVE-2006-4571)
- require nss 3.11.3 for CVE-2006-4340 fix

Revision 1.68  2006/07/28 11:03:57  cieciwa
- version 1.5.0.5,
- release 1,
- updated MD5 sum.

Revision 1.67  2006/07/26 08:54:14  havner
- fonts patch, rel ++

Revision 1.66  2006/07/26 08:21:21  havner
- epoch in nss

Revision 1.65  2006/07/11 12:38:42  jareq
- replace xpm icon by png in desktop file (icons are different)
- rel 2

Revision 1.64  2006/07/08 16:59:57  aflinta
- added gcc patch
- disabled smp build (otherwise it will fail)

Revision 1.63  2006/06/09 08:03:16  qboosh
- real xorg deps

Revision 1.62  2006/06/03 15:59:49  qboosh
- removed obsolete noautoprovfiles for nspr

Revision 1.61  2006/06/02 21:28:52  adamg
- updated to 1.5.0.4 (several security fixes)

Revision 1.60  2006/05/10 21:28:42  pluto
- kill broken visibility games.
- tons of warnings burn my eyes. mozilla sources are evil.

Revision 1.59  2006/04/30 20:36:57  mguevara
- 1.5.0.2 rel 3 - ldap works fine - bcond enables it by default

Revision 1.58  2006/04/30 10:38:42  mguevara
- 1.5.0.2-2.1 - added ldap bcond

Revision 1.57  2006/04/29 22:55:42  mguevara
- 1.5.0.2 rel 2 - mostly cosmetics
- removed mozilla-thunderbird-blockimage.patch - not active, outdated
  and not very functional
- edited out mozilla-thunderbird-bug305970.patch and
  mozilla-thunderbird-bug304720.patch - fixed in 1.5.0.2

Revision 1.56  2006/04/25 21:33:30  mguevara
- md5 added, todo

Revision 1.55  2006/04/25 12:19:54  mguevara
- 1.5.0.2 rel 1 - patches 100, 101 removed

Revision 1.54  2006/03/03 20:00:10  qboosh
- locale-aware mozilla-thunderbird script

Revision 1.53  2006/02/04 14:57:59  qboosh
- require nspr/nss in versions >= included

Revision 1.52  2006/01/22 15:00:21  qboosh
- cleanups; alpha-gcc3,gfx,gcc-bugs patches obsolete

Revision 1.51  2006/01/22 13:53:52  adamg
- release 1

Revision 1.50  2006/01/21 16:04:46  adamg
- fix enigmail (idea borrowed from opensuse)
- cleaned up %files
- release 0.2

Revision 1.49  2006/01/19 16:33:42  adamg
- globbed archive filename (shouldn't fail on i{3,5}86 now)

Revision 1.48  2006/01/19 14:25:57  adamg
- updated to 1.5
- updated enigmail to 0.94 (includes ipc)
- -nopangoxft, -bug305970 and -bug304720 patches added
- dropped -fontconfig.patch and ft218 bcond
- switched to preferred build method (mozconfig and ac_add_options instead
  of configure and its parameters)
- %files revisited
- works (apart from enigmail), release 0.1

Revision 1.47  2006/01/19 09:45:57  adamg
- do not bcond SourceX entries

Revision 1.46  2005/10/02 09:59:22  arekm
- up to 1.0.7

Revision 1.45  2005/09/02 19:00:44  qboosh
- spellcheck cleanup

Revision 1.44  2005/09/02 14:41:51  czarny
- added spellcheck extension
- made subpackage with en-US dictionary

Revision 1.43  2005/07/20 18:30:36  arekm
- up to 1.0.6

Revision 1.42  2005/07/17 20:38:19  jack
- updated to 1.0.5 (builds)

Revision 1.41  2005/07/12 20:13:03  arekm
- rel 3; workaround for gcc bugs

Revision 1.40  2005/07/12 16:31:53  arekm
- rel++

Revision 1.39  2005/07/12 13:38:23  arekm
- freetype bcond reverted, now freetype >= 2.1.8 is by default

Revision 1.38  2005/03/22 19:15:40  ciesiel
- upgraded to version 1.0.2

Revision 1.37  2005/02/16 09:26:20  glen
- /bin/csh is required for extensions/ipc/makemake

Revision 1.36  2005/02/02 08:48:02  mguevara
- BR update - enigmail (ipc) needs /bin/ex -> nvi or vim-static

Revision 1.35  2005/01/30 09:05:32  mguevara
- md5sums updated

Revision 1.34  2005/01/30 08:56:12  mguevara
- rel 4
- added enigmail (GPG/PGP) support with bcond
- added init.d scripts dir - see init.d/README

Revision 1.33  2004/12/25 11:37:09  charles
- unified sed usage

Revision 1.32  2004/12/24 21:12:16  hawk
- works for me, release 3

Revision 1.31  2004/12/24 17:00:31  hawk
- nspr patch seems obsolete, but gfx patch is needed
- builds, not tested yet

Revision 1.30  2004/12/23 23:41:38  hawk
- make release not full as its not ready yet

Revision 1.29  2004/12/23 23:37:49  hawk
- make it build with system nspr again, not tested yet

Revision 1.28  2004/12/19 14:58:13  darekr
- BR: sed 4.0

Revision 1.27  2004/12/19 14:50:36  paszczus
- fix for arch with lib64 (by sebastian at oclab.ano.pl)
- release 2, STBR

Revision 1.26  2004/12/08 16:49:47  troll
- builds and works, rel 1

Revision 1.25  2004/12/07 20:22:52  troll
- updated to 1.0

Revision 1.24  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.23  2004/11/08 18:41:00  troll
- updated to 0.9

Revision 1.22  2004/10/26 18:04:23  gozda
- Applied new patch. Release 0.4. Need testing, RC for stable.

Revision 1.21  2004/10/17 20:23:56  hawk
- include help.jar and newsblog.jar in package

Revision 1.20  2004/10/17 17:30:55  hawk
- doh, double checking is not enough, I must triple check after copy/paste

Revision 1.19  2004/10/17 01:00:51  hawk
- replaced non-working symlink with wrapper script

Revision 1.18  2004/10/13 17:18:15  hawk
- added libnspr4.so,libplc4.so and libplds4.so to noautoprovfiles

Revision 1.17  2004/10/12 09:02:02  hawk
- bconded freetype >= 2.1.8 compilation
- removed unused nspr patches
- libnspr4.so to noautoreqdep
- cosmetics
- builds, not tested

Revision 1.16  2004/10/11 16:07:53  hawk
- lets make it build (based on mahos firefox chnages): without system nspr,
  with single profile, without shared profiles, set env variables before
  configure (since when we are not allowed to do this? :-))
- build was failing without freetype or with freetype < 2.1.8, added
  freetype patch from firefox and appropriate BR, R
- added lib_path patch from firefox
- cosmetics
- builds, not tested, NFY (I think)

Revision 1.15  2004/09/24 16:30:30  radek
- removed BUILD_OFFICIAL=1 (since when we are allowed to do it?)

Revision 1.14  2004/09/15 12:20:44  hawk
- version 0.8, let DF download sources, not tested, NFY

Revision 1.13  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.12  2004/08/06 09:21:25  jack
- updated to 0.7.3 (builds, not tested yet - rel. 0.1)

Revision 1.11  2004/07/26 08:18:11  qboosh
- added libjsj.so to _noautoreqdep

Revision 1.10  2004/07/09 11:02:00  jack
- updated to 0.7.2 (not tested yet!)

Revision 1.9  2004/06/30 21:21:36  jack
- updated to 0.7.1

Revision 1.8  2004/06/19 10:28:57  jack
- updated to 0.7
- builds cleanly...
- ... but doesn't work as firefox. They changed something, but I don't know
  what. Please help. ;)
- Rel 0.1

Revision 1.7  2004/06/08 12:20:58  radek
- s/%{debug}/%{?debug:1}0; crap...

Revision 1.6  2004/06/08 12:08:46  radek
- s/%optflags/%rpmcflags/ in two more places

Revision 1.5  2004/06/08 12:02:01  radek
- s/%{with debug}/%{debug}/

Revision 1.4  2004/06/08 11:50:18  radek
- s/%optflags/%rpmcflags

Revision 1.3  2004/05/13 17:17:27  qboosh
- BR: automake
- release 1 - just builds on amd64, patch already merged

Revision 1.2  2004/05/13 09:52:25  qboosh
- updated to 0.6
- use standard build method, added nspr,nss patches to use system libs

Revision 1.1  2004/02/24 01:50:04  maho
- new spec based on mozilla-firebird.spec and spec from fedora
